import request from '@/utils/request'

// 查询零件
export function searchtable(num1, num2, num3, num4, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_编制工艺_备料零件查询',
      param: '零件图号_check=' + num1 + '&零件图号=' + num2 + '&备料打印_check=' + num3 + '&备料打印=' + num4 + '&备料到货=0',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询零件工艺
export function searchtable2(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_备料打印_查询工序信息',
      param: '工艺计划流水号=' + num1
    }
  })
}
// 自家备料
export function edit(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_备料单导出_状态更改',
      param: '工艺计划流水号=' + num1
    }
  })
}
// 外购备料
export function edit2(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_备料单导出_外购备料',
      param: '工艺计划流水号=' + num1
    }
  })
}
